The charts the copilot composed, as specs rather than as figures. Run one to see the numbers.
curl --request PATCH \
--url https://app.assetinfinity.ai/api/copilot_charts \
--header 'Content-Type: application/json' \
--data '
{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"group_label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kept_as_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kept_at": "<string>",
"kept_by_name": "<string>",
"position": 123,
"source_label": "<string>",
"spec": "<string>",
"split_label": "<string>",
"subtitle": "<string>",
"title": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/copilot_charts"
payload = {
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"group_label": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kept_as_widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kept_at": "<string>",
"kept_by_name": "<string>",
"position": 123,
"source_label": "<string>",
"spec": "<string>",
"split_label": "<string>",
"subtitle": "<string>",
"title": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversation_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
created_at: '<string>',
group_label: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kept_as_widget_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
kept_at: '<string>',
kept_by_name: '<string>',
position: 123,
source_label: '<string>',
spec: '<string>',
split_label: '<string>',
subtitle: '<string>',
title: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/copilot_charts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Copilot
The charts the copilot composed, as specs rather than as figures. Run one to see the numbers.
PATCH
/
copilot_charts
The charts the copilot composed, as specs rather than as figures. Run one to see the numbers.
Headers
Preference
Available options:
return=representation, return=minimal, return=none Query Parameters
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
copilot_charts
The charts the copilot composed, as specs rather than as figures. Run one to see the numbers.
Note:
This is a Foreign Key to copilot_conversations.id.
Note:
This is a Foreign Key to copilot_messages.id.
Note: This is a Primary Key.
Note:
This is a Foreign Key to dashboard_widgets.id.
Maximum string length:
200Maximum string length:
200Maximum string length:
150Response
204
No Content
⌘I

